Bug 507552

Summary: preupgrade fails to use yum proxy information
Product: [Fedora] Fedora Reporter: David Waring <ribenakid>
Component: preupgradeAssignee: Seth Vidal <skvidal>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 10CC: aawasthi, hughsient, kevin_redhat, vytautas1987, waynaf, wwoods
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 827169 827498 (view as bug list) Environment:
Last Closed: 2009-12-18 04:34:52 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description David Waring 2009-06-23 05:51:31 EDT
Description of problem:
When preupgrade is run from the desktop prompt it fails to find repository information because it is not using the configured HTTP proxy information.

Version-Release number of selected component (if applicable):
1.1.0-1.fc10

How reproducible:
Always

Steps to Reproduce:
1. When pop-up for upgrade appears select "more information".
2. Preupgrade window appears with immediate error dialogue box.
  
Actual results:
Get error and have to quit upgrade process.

Expected results:
Should retrieve repository information via HTTP for available upgrades. Should get proxy information from /etc/yum.conf

Additional info:
Running from command line and setting http_proxy environment variable allows preupgrade to work. e.g. http_proxy="http://my-cache:8080/" /usr/bin/preupgrade
Comment 1 Bug Zapper 2009-11-18 07:07:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:34:52 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 kevin_redhat 2010-10-26 18:58:58 EDT
This bug still exists in the Fedora 12 version of preupgrade.
Comment 4 Vytas 2011-06-22 05:05:06 EDT
This bug still exists in the Fedora 14 version of preupgrade.
Comment 5 rambler8 2012-05-30 17:07:27 EDT
This bug still exists in the Fedora 16 version of preupgrade.
Comment 6 Ben 2012-06-15 08:23:51 EDT
I can confirm this on Fedora 16
Comment 7 Ben 2012-06-15 08:31:32 EDT
I have added Richard Hughes to the CC as I think he is the maintainer? of preupgrade. I hope this is not inappropriate.
Comment 8 Ben 2012-06-15 08:56:53 EDT
Just saw the work around from the "additional info" in Comment 1. Unfortunatelly, this solution does not seems to work anymore on F16.

How can I change the "Version" in this bug and reopen the bug?
Comment 9 aawasthi 2012-06-23 03:45:31 EDT
(In reply to comment #8)
> Just saw the work around from the "additional info" in Comment 1.
> Unfortunatelly, this solution does not seems to work anymore on F16.
> 
> How can I change the "Version" in this bug and reopen the bug?

I successfully upgraded to F17 from F16; there does not seem to be a major problem in using the method mentioned in comment 1. As indicated in https://bugzilla.redhat.com/show_bug.cgi?id=827169, you have to set https_proxy as well. If your proxy requires authentication, then 

export http_proxy=http://username:passwd@proxy.url:port/
export https_proxy=https://username:passwd@proxy.url:port/
preupgrade

I had to use backslash to escape the special character in the password. For example, use "abc\$", if the password is "abc$".
Comment 10 Ben 2012-06-28 13:09:31 EDT
(In reply to comment #9)

Thank you for your suggestions aawasthi. As I was in a rush to upgrade, I did a full upgrade before you replied. Thanks again